Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TransactionManagerService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.tm.plugins.tyrex.TransactionManagerService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ObjectFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean, TransactionManagerServiceMBean

public class TransactionManagerService
extends org.jboss.system.ServiceMBeanSupport
implements TransactionManagerServiceMBean, ObjectFactory

This is a JMX service which manages the Tyrex TransactionManager (tyrex.exolab.org). The service creates it and binds a Reference to it into JNDI. It also initializes the object that manages Tyrex TransactionPropagationContext.

Version:
  `$Revision: 1.9 $`
Author:
  Anatoly Akkerman
See Also:
  `TyrexTransactionPropagationContextManager, tyrex.tm.TransactionDomain`

Field Summary
`static String` | `JNDI_EXPORTER`
`static String` | `JNDI_IMPORTER`
`static String` | `JNDI_NAME`
`static String` | `JNDI_TPC_RECEIVER`
`static String` | `JNDI_TPC_SENDER`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.tm.plugins.tyrex.TransactionManagerServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`TransactionManagerService()`

Method Summary
`String` | `getConfigFileName()`
`String` | `getName()`
`Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable environment)`
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `setConfigFileName(String name)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### JNDI_NAME

    public static String JNDI_NAME

### JNDI_TPC_SENDER

    public static String JNDI_TPC_SENDER

### JNDI_TPC_RECEIVER

    public static String JNDI_TPC_RECEIVER

### JNDI_IMPORTER

    public static String JNDI_IMPORTER

### JNDI_EXPORTER

    public static String JNDI_EXPORTER

Constructor Detail

### TransactionManagerService

    public TransactionManagerService()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### getConfigFileName

    public String getConfigFileName()

  Specified by:
    `getConfigFileName` in interface `TransactionManagerServiceMBean`

### setConfigFileName

    public void setConfigFileName(String name)
                           throws IOException

  Specified by:
    `setConfigFileName` in interface `TransactionManagerServiceMBean`
  Throws:
    `IOException`

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.